package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SessionLimitEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SessionLimitEntity   {
  @JsonProperty("enable")
  private Boolean enable;

  public SessionLimitEntity enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Enable the session limit.
   * @return enable
  */
  @ApiModelProperty(required = true, value = "Enable the session limit.")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SessionLimitEntity sessionLimitEntity = (SessionLimitEntity) o;
    return Objects.equals(this.enable, sessionLimitEntity.enable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SessionLimitEntity {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

